# ivec8 Class Reference

An eight element vector of ints. More...

`#include <vectorize8.h>`

List of all members.

## Public Member Functions

| ivec8 ()
| ivec8 (int v)
| ivec8 (int v1, int v2, int v3, int v4, int v5, int v6, int v7, int v8)
| ivec8 (__m256i v)
| ivec8 (const int *v)
| operator __m256i () const
ivec4 | lowerVec () const
ivec4 | upperVec () const
void | store (int *v) const
ivec8 | operator& (const ivec8 &other) const
ivec8 | operator| (const ivec8 &other) const
| operator fvec8 () const

## Public Attributes

__m256i | val

## Detailed Description

An eight element vector of ints.

## Constructor & Destructor Documentation

ivec8 | ( |  | ) | `[inline]`

ivec8 | ( | int | v | ) | `[inline]`

ivec8 | ( | int | v1,
|  | int | v2,
|  | int | v3,
|  | int | v4,
|  | int | v5,
|  | int | v6,
|  | int | v7,
|  | int | v8 |
| ) |  |  | `[inline]`

ivec8 | ( | __m256i | v | ) | `[inline]`

ivec8 | ( | const int * | v | ) | `[inline]`

## Member Function Documentation

ivec4 lowerVec | ( |  | ) | const`[inline]`

References val.

operator __m256i | ( |  | ) | const`[inline]`

References val.

operator fvec8 | ( |  | ) | const`[inline]`

References val.

ivec8 operator& | ( | const ivec8 & | other | ) | const`[inline]`

References val.

ivec8 operator| | ( | const ivec8 & | other | ) | const`[inline]`

References val.

void store | ( | int * | v | ) | const`[inline]`

References val.

ivec4 upperVec | ( |  | ) | const`[inline]`

References val.

## Member Data Documentation

__m256i val

Referenced by lowerVec(), operator __m256i(), operator fvec8(), operator&(), operator|(), store(), and upperVec().

The documentation for this class was generated from the following file:

- vectorize8.h